API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/billing/invoice/send
ark.send_customer_invoice
Sends the customer invoice email using the attached billing packet, marks the customer payment invoiced, and can optionally queue QuickBooks invoice sync.
- Availability
- Expanded preview
- Scopes
loads:readbilling:write- ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
customerPaymentIdstringOptional customer payment ID. Omit to use the latest customer payment for the load.
format: uuid
queueQuickBooksSyncbooleanQueue QuickBooks customer invoice sync after the invoice email is sent.
default: false
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/billing/invoice/send' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{}'Success response
Sent customer invoice
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.customerPaymentIdstringrequiredformat: uuid
data.packetFileIdstringrequiredformat: uuid
data.loadobjectrequireddata.deliveryModestringrequiredone of: direct, queued
data.emailMessageIdstring | nullrequiredformat: uuid
data.recipientModestringrequiredone of: customer_billing, remit_profile
data.recipientEmailstringrequiredformat: email
data.sentAtstringrequiredformat: date-time
data.statusstringrequiredone of: INVOICED
data.invoiceRemitProfileobjectrequireddata.quickBooksSyncobjectrequireddata.sideEffectErrorstring | nullrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 422- Invalid request